VERSION 5.00
Begin VB.Form hUI 
   Appearance      =   0  'Flat
   BackColor       =   &H00000000&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Holograph Emulator"
   ClientHeight    =   5145
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7605
   Icon            =   "hUI.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5145
   ScaleWidth      =   7605
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox uiConsole 
      BackColor       =   &H00000000&
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   4770
      Left            =   0
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   1
      Top             =   0
      Width           =   7605
   End
   Begin VB.TextBox uiCommand 
      Appearance      =   0  'Flat
      BackColor       =   &H00000000&
      BeginProperty Font 
         Name            =   "Terminal"
         Size            =   9
         Charset         =   255
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FFFFFF&
      Height          =   375
      Left            =   0
      TabIndex        =   0
      Top             =   4800
      Width           =   7695
   End
End
Attribute VB_Name = "hUI"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim lastCOM As String 'Keeping the last entered command in the bar in memory
Private Sub Form_Load()
Console.startServer
End Sub
Private Sub uiConsole_Change()
If Len(uiConsole) >= 15000 Then 'Clear the 'lines' box if it's too big
    uiConsole = ""
End If
uiConsole.SelStart = Len(uiConsole) 'Make the select cursor move to the bottom
End Sub
Private Sub uiCommand_keydown(uiKey As Integer, uiShift As Integer)
If uiKey = vbKeyReturn Then 'If the user pressed Enter while typing in the command bar
    If uiCommand <> "" Then 'If the text entered is not empty, then proceed
        Console.WriteLine ("> " & LCase(uiCommand)) 'Write the command the user entered in the box
        If InStr(uiCommand, " ") Then 'if it's a command that exists out of two parts
            multiCall LCase(uiCommand) 'search for it in the 'two parts' commands
        Else
            singleCall LCase(uiCommand) 'search for it in the 'single part' commands
        End If
        lastCOM = uiCommand 'Set the last command in memory
        uiCommand = "" 'Clear the command bar
    End If
ElseIf uiKey = vbKeyUp Then 'If the user pressend Up while typing in the command bar
    uiCommand = lastCOM 'Fill the command bar with the last entered command, so you can run it again without typing
End If
End Sub
Private Sub uiCommand_LostFocus()
uiCommand.SetFocus 'If the user clicks on the lines, it auto hops back to the bar
End Sub
Private Sub Form_QueryUnload(Cancel As Integer, unloadMode As Integer)
'Prevent the user can't accidentally close the server with the X button, only close when entered 'exit' or 'shutdown' in the command bar
If (lastCOM = "shutdown" Or lastCOM = "exit") = False Then Cancel = 1
End Sub
